#!/usr/bin/env python
#####################################
# Installation module for THC Hydra
#####################################

# AUTHOR OF MODULE NAME
AUTHOR="Jason Ashton (ninewires)"

# DESCRIPTION OF THE MODULE
DESCRIPTION="This module will install/update THC Hydra, a parallelized login cracker which supports numerous protocols to attack."

# INSTALL TYPE GIT, SVN, FILE DOWNLOAD
# OPTIONS = GIT, SVN, FILE
INSTALL_TYPE="GIT"

# LOCATION OF THE FILE OR GIT/SVN REPOSITORY
REPOSITORY_LOCATION="https://github.com/vanhauser-thc/thc-hydra.git"

# WHERE DO YOU WANT TO INSTALL IT
INSTALL_LOCATION="hydra"

# DEPENDS FOR DEBIAN INSTALLS
DEBIAN="libssl-dev libssh-dev libidn11-dev libpcre3-dev libgtk2.0-dev libmysqlclient-dev libpq-dev libsvn-dev firebird-dev ldap-utils ruby-dev"

# DEPENDS FOR FEDORA INSTALLS
FEDORA="openssl-devel pcre-devel ncpfs-devel postgresql-devel libssh-devel subversion-devel libncurses-devel"

# COMMANDS TO RUN AFTER
AFTER_COMMANDS="echo installing hydra,cd {INSTALL_LOCATION},git clone http://git.libssh.org/projects/libssh.git libssh,cd libssh,mkdir build,cd build,cmake -DWITH_SSH1=On -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug ..,make -j4,make install,cd ../../,./configure,make -j4,make install"

# THIS WILL CREATE AN AUTOMATIC LAUNCHER FOR THE TOOL
LAUNCHER="hydra"
